/* Defualt Styling */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "acumin-pro", sans-serif;
}

.flex {
    display: flex;
}

.centre{
    display: flex;
    justify-content: center;
    align-items: center;
}

.wrapper{
    max-width: 1200px;
    margin-left: auto; margin-right: auto;
}

.defaultImg{
    width: 100%;
}

.colImages{
    width: 500px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.colImg{
    width: 250px;
    padding: 10px;
}

.blueButton{
    width: 100%;
    padding: 30px;
}

.blueButton a{
    width: 400px;
    background-color: #004797;
    color: white;
    text-decoration: none;
    border-radius: 20px;
    font-size: 30px;
    font-weight: 400;
    text-align: center;
    padding: 10px;
    box-shadow: 2px 2px 4px #00000080;
    transition: .5s;
}

.blueButton a:hover{
    box-shadow: 0 0 0;
    transition: .5s;
}

.defaultContent .collumns .imgCaption p {
    color: white;
    font-size: 15px;
    line-height: 22px;
    font-weight: 200;
}

.crowdDivider{
    background-image: url('img/crowdDivider.png');
    background-size: 1200px;
    height: 125px;

}

.blueSection{
    background-color: #004797;
    color: white;
}

.defaultTitle{
    padding: 15px 0 10px 15px;
    font-size: 25px;
}

.absolute{
    position: absolute;
}


/* Resizing */

@media only screen and (max-width: 1200px){
    #header .wrapper #headerContent #headerMenu{
        display: none;
    }

    #header .wrapper #headerContent #burgerMenu{
        display: flex;
    }

    #banner #bannerContent #bannerText h1{
        font-size: 80px;
    }

    #banner #bannerContent #bannerText h2{
        font-size: 20px;
    }

    .defaultContent .colImages .colImg .imgCaption{
        max-width: 160px;
    }

    .fullHeight{
        height: 100vh !important;
    }


}

@media only screen and (max-width: 1000px){
    .defaultContent .colImages{
        width: 100%;
    }

    .defaultContent .colImg{
        width: 50%;
    }
}

@media only screen and (max-width: 800px){
    #footer #footerBottom p{
        font-size: 15px;
    }

    .defaultContent .collumns{
        flex-wrap: wrap;
    }

    .col1, .col2{
        min-width: 100%;
    }

    .collumns .col1, .collumns .col2{
        padding-right: 15px;
    }

    .homepageCollumn{
        min-width: 100%;
    }

    #allAlbums .album{
        width: 50%;
    }

}



@media only screen and (max-width: 600px){
    #header #headerContent #headerLogo{
        width: 100px;
    }

    body #banner{
        height: 200px;
    }

    #banner #bannerContent #bannerText h1{
        font-size: 50px;
    }

    #banner #bannerContent #bannerText h2{
        font-size:  13px;
    }

    .defaultContent .colImages .colImg{
        width: 200px;
    }

    #footer #footerBottom{
        font-size: 10px;
    }

    .col1 #contactForm div input[type="submit"]{
        width: 100%;
    }

    .col1 #contactForm{
        gap: 25px;
    }

    #discographyTableContainer #discographyTable tr th, #discographyTableContainer #discographyTable tr td{
        font-size: 12px;
        padding: 2px;
    }

    .album .albumHoverInfo div{
        text-align: center;
        line-height: 25px;
        width: 80%;
    }
    
    .album .albumHoverInfo div h2{
        font-size: 20px;
    }
    
    .album .albumHoverInfo div p{
        font-size: 15px;
    }
    
    .album .albumHoverInfo div span{
        font-size: 30px;
        scale: 110%;
    }

}


@media only screen and (max-width: 450px){
    body .blueContent{
        padding: 0 5px 0 5px;
    }

    .defaultContent .colImages .colImg{
        width: 150px;
    }

    .defaultContent .colImages .colImg .imgCaption{
        width: 130px;
    }

    #banner #bannerContent #bannerText h1{
        font-size: 40px;
    }

    #banner #bannerContent #bannerText h2{
        font-size:  10px;
    }

    body #banner{
        height: 125px;
        background-size: 400px;
    }

    #discographyTableContainer #discographyTable tr th, #discographyTableContainer #discographyTable tr td{
        font-size: 10px;
        padding: 1px;
    }

    .album .albumHoverInfo div{
        text-align: center;
        line-height: 20px;
        width: 80%;
    }
    
    .album .albumHoverInfo div h2{
        font-size: 15px;
    }
    
    .album .albumHoverInfo div p{
        font-size: 10px;
    }
    
    .album .albumHoverInfo div span{
        font-size: 20px;
    }
}



/* Header */

#header{
    background-color: #eeeeee;
}

#header #headerContent{
    background-color: #dcdcdc;
    display: flex;
    justify-content: space-between;
    padding-left: 30px; padding-right: 30px;
    padding-top: 20px; padding-bottom: 20px;
}

#header #headerLogo{
    width: 150px;
}

#headerContent #headerMenu{
    display: flex;
    justify-content: center;
    align-items: center;
}

#headerContent ul{
    list-style-type: none;
    display: flex;
    gap: 50px;
    align-items: center;
    font-size: 18px;
}

#headerContent ul a{
    text-decoration: none;
    color: #004797;
}

#headerContent #headerMenu ul .active{
    background-color: white;
    color: black;
    padding: 5px 10px 5px 10px;
    border-radius: 20px;
}

/* Burger Menu */

#burgerMenu{
    display: none;
    justify-content: center;
    align-items: center;
}

#burgerMenu span{
    color: #004797;
    user-select: none;
    font-size:  36px;
}

#burgerMenuContent{
    display: none;
    z-index: 3;
    position: absolute;
    height: 100vh;
    background-color: white;
    width: 100%;
}

#burgerMenuContent ul{
    list-style-type: none;
}

#burgerMenuContent a{
    font-size: 30px;
    font-weight: 500;
    text-align: center;
    color: #004797;
    text-decoration: none;
    padding: 10px;
}



/* Banner */

#banner{
    height: 275px;
    background-image: url("img/BannerImage.jpg");
    background-size: 675px;
}

#bannerContent{
    background-color: rgba(0, 0, 0, 0.45);
    width: 100%; height: 100%;
}

#bannerContent #bannerText{
    color: white;
    text-align: center;
}

#bannerContent #bannerText h1{
    font-size: 96px;
}


/* Footer */
#footer{
    z-index: 2;
    position: relative;
}

#footer #footerTop{
    background-color: #808080;
}

#footerTop #footerLogo{
    width: 125px;
}

#footerTop #footerContent{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-left: 30px; padding-right: 50px;
    padding-top: 10px; padding-bottom: 15px;
}

#footerTop #footerContent .footerMenu ul{
    list-style-type: none;
}

#footerTop #footerContent .footerMenu ul li{
    padding-top: 5px;
}

#footerTop #footerContent .footerMenu ul a{
    color: white;
    text-decoration: none;
}

#footer #footerBottom{
    background-color: #3c3c3c;
}

#footerContentBottom{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    text-align: center;
    padding-left: 30px; padding-right: 30px;
    padding-bottom: 5px; padding-top: 5px;

    font-size: 14px;
}

#footerContentBottom p{
    color: white;
}

#footerContentBottom .footerMenu2 ul{
    display: flex;
    list-style-type: none;
    justify-content: center;
    gap: 20px;
}

#footerContentBottom .footerMenu2 a{
    color: white;
    text-decoration: none;
}

#footerContentBottom .footerMenu2 .active{
    text-decoration: underline;
}

@media only screen and (max-width: 900px){
    #footerContentBottom .footerMenu2 ul{
        min-width: 100%;
        justify-content: center;
    }

    #footerContentBottom .footerMenu2{
        width: 100%;
        padding-top: 5px;
    }
}


/* Active Item */
#footerTop #footerContent .footerMenu .active{
    text-decoration: underline;
}



/* Default Content */

.defaultContent b{
    font-weight: 500;
}

.defaultContent p a{
    color:#004797;
    font-weight: 500;
}

.collumns{
    display: flex;
}

.collumns p{
    padding-bottom: 10px;
    font-size: 22px;
    line-height: 30px;
    font-weight: 300;
}

.col1, .col2{
    padding-left: 15px; padding-right: 30px;
}

.homepageCollumn{
    width: 50%;
}
    
.thumbnailLogo{
    height: 40px;
    padding-right: 10px;
    position: relative;
    bottom: -10px;

}

/* Homepage Slider */

.viewMore{
    font-size: 14px;
    display: flex;
    align-items: center;
}

.viewMore a{
    color: white;
    text-decoration: none;
}

.homepageSliderTitle{
    display: flex;
    justify-content: space-between;
    padding-right: 15px;
}

.albumCover{
    width: 300px;
}

.albumCover h3{
    padding-top: 5px;
    font-size: 18px;
}


/* Image Slider */

@media only screen and (max-width: 1200px){
    .display-area .cards-wrapper{
        gap: 0px;
    }

    #homepageSlider .display-area{
        width: 100%;
    }

    .display-area .card{
        height: inherit;
        flex: 33% 0 0;
        margin: 1px;
        padding: 15px;
    }
}


@media only screen and (max-width: 500px){
    .display-area .card{
        height: inherit;
        flex: 33% 0 0;
        padding: 10px;
    }
}

.card {
    height: 450px;
    flex: 400px 0 0;
    color: white;
    font-size: 40px;
    padding: 30px;
}

.card p{
    font-size: 17px;
}

.card p span{
    font-weight: 200;
}

.card img {
    width: 100%;
    object-fit: cover;
}

.cards-wrapper {
    display: flex; 
    transition: ease .5s;
}

.display-area {
    width: 1200px;
    overflow-x: hidden;
    overflow-y: hidden;
    margin: auto;
}

.arrow-wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: auto;
    position: absolute;
    width: 100%;
    height: 400px;
}

@media only screen and (max-width: 1200px){
    .relative .arrow-wrapper {
        height: 350px;
    }
}


@media only screen and (max-width: 900px){
    .relative .arrow-wrapper {
        height: 300px;
    }
}

@media only screen and (max-width: 700px){
    .relative .arrow-wrapper {
        height: 200px;
    }

    .arrow-wrapper .arrow{
        width: 45px;
        height: 45px;
    }

    .arrow-wrapper .arrow span{
        scale: 110%;
    }
}

@media only screen and (max-width: 500px){
    .relative .arrow-wrapper {
        height: 150px;
    }


    .arrow-wrapper .arrow{
        width: 40px;
        height: 40px;
    }

    .arrow-wrapper .arrow span{
        scale: 100%;
    }
}

@media only screen and (max-width: 400px){
    .relative .arrow-wrapper {
        height: 100px;
    }

    .arrow-wrapper .arrow{
        width: 30px;
        height: 30px;
    }

    .arrow-wrapper .arrow span{
        scale: 80%;
    }
}




.arrow {
    z-index: 2;
    color:rgba(0, 0, 0, 0.4);
    font-size: 60px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    width: 50px;
    height: 50px;
    margin: 5px;
    outline: none;
    background: rgba(255, 255, 255, 0.8);
    border-radius: 50%;
}

.arrow span{
    scale: 200%;
}
.arrow:hover {
    cursor: pointer;
    background: rgba(255, 255, 255, 1);
    color:rgba(0, 0, 0, 1);
}


/* Discography */

#discographyTableContainer{
    padding: 15px 15px 30px 15px;
}

#discographyTable{
    width: 100%;
    border-collapse: collapse;
}

#discographyTable th{
    text-align: left;
    border-bottom: 1px solid black
}

#discographyTable tr:nth-child(odd){
    background-color: #00469733;
}

#discographyTable td, th{
    padding: 10px;
    font-size: 18px;
}


#discographyTable .availability{
    text-align: center;
}

#discographyTable .availability a{
    color: #004797;
}

#discographyTable .availability a:hover{
    color: black;
}



/* Blue Content (Contact Us) */

.angelEdge{
    background-color: rgba(18, 69, 146, 0.6);
    display: flex;
}

.angelEdgeLeft, .angelEdgeRight{
    background-image: url("img/Angel.svg");
    background-position: -255% 30px;
    background-size: 85%;
    position: absolute;
    width: 50%;
}

.height500px{
    height: 500px;
}

.angelEdgeRight{
    right: 0;
    transform: translateY(250px) scaleX(-1);
}

.blueContent {
    position:relative;
    background-color: #004797;
    color: white;
    padding: 0 20px 0 20px;
}



/* Contact Us */

#contactForm{
    display: flex;
    flex-wrap: wrap;
    gap: 50px;
    padding-top: 15px; padding-bottom: 50px;
}

#contactForm div{
    width: 100%;
    display: flex;
    justify-content: center;
}

#contactForm div input, #contactForm div textarea{
    border: 0px solid black;
    border-radius: 15px;
    font-size: 25px;
    color: #004797;
    padding: 15px;
}

#contactForm div input[type="email"], #contactForm div textarea{
    width: 100%;
    background-color: #ffffffd9;
    resize: none;
}

#contactForm div input[type="submit"]{
    width: 33%;
    background-color: white;
}

#contactForm div input[type="submit"]:hover{
    background-color: #eeeeee;
}



/* Listen to Our Music */

.fullHeight{
    height: 2000px;
}

#allAlbums{
    display: flex;
    flex-wrap: wrap;
    padding-bottom: 20px;
}

.album{
    width: 33.3%;
}

.album img{
    width: 100%;
    display: block;
}

.absolute{
    position: absolute;
}

.relative{
    position: relative;
}

.album:hover .albumHoverInfo{
    display: flex;
    cursor: pointer;
}

.album a{
    color: white;
    text-decoration: none;
}

.albumHoverInfo{
    display: none;
    justify-content: center;
    align-items: center;
    width: 100%; height: 100%;
    background-color: #00469765;
    backdrop-filter: blur(2px);
}

.albumHoverInfo div{
    text-align: center;
    line-height: 45px;
    width: 80%;
}

.albumHoverInfo div h2{
    font-size: 35px;
}

.albumHoverInfo div p{
    font-size: 25px;
}

.albumHoverInfo div span{
    font-size: 40px;
    scale: 120%;
}

/* Jukebox */

#jukeboxContainer{
    padding: 10px;
}

#jukebox{
    background-color: #3d2a20;
    border-radius: 60px;
    border: 7px solid rgb(58, 58, 58);
    width: 100%;
    display: flex;
    margin-bottom: 20px;
}

#jukeboxLeft{
    width: 30%;
    padding: 20px;
}

#jukeboxRight{
    width: 70%;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    padding: 25px;
}

@media only screen and (max-width: 800px){
    body #jukeboxContainer{
        padding: 0px;
    }

    #jukeboxContainer #jukebox{
        border-radius: 40px;
    }

    #jukeboxContainer #jukebox #jukeboxLeft{
        display: none;
    }

    #jukeboxContainer #jukebox #jukeboxRight{
        width: 100%;
        padding: 18px;
    }
}

#jukeboxRight #speakerButton{
    width: 100%;
    user-select: none;
}

#jukeboxRight #audioPlayer{
    width: 100%;
}

#jukeboxRight #audioPlayer audio{
    width: 100%;
    border-radius: 15px;
}

#jukeboxRight #nowPlaying{
    width: 100%;
    background-color: black;
    border-radius: 20px;
    padding: 15px;
    font-size: 25px;
}

#jukeboxRight #nowPlaying span{
    font-weight: 500;
    font-size: 22px;
}

@media only screen and (max-width: 1200px){
    #jukebox #jukeboxRight #nowPlaying{
        width: 100%;
        background-color: black;
        border-radius: 20px;
        padding: 12px;
        font-size: 18px;
    }

    #jukebox #jukeboxRight #nowPlaying span{
        font-weight: 500;
        font-size: 15px;
    }
}

@media only screen and (max-width: 800px){
    #jukebox #jukeboxRight #nowPlaying{
        width: 100%;
        background-color: black;
        border-radius: 20px;
        padding: 10px;
        font-size: 12px;
    }

    #jukebox #jukeboxRight #nowPlaying span{
        font-weight: 500;
        font-size: 10px;
    }
}



/* Vinyl Spinning */

@keyframes vinylRotate {
    0% {rotate: 0deg};
    100% {rotate: 40000deg};
}

#vinyl{
    animation-duration: 600s;
    animation-timing-function: linear;
    user-select: none;
}

#vinyl:hover{
    cursor: pointer;
}



/* Info Box */
.informationBox{
    margin-bottom: 20px;
    position: relative;
}

.informationBoxContent{
    position: absolute;
    right: -50px;;
    top: -175px;

    width: 250px;
    height: 250px;
    border-radius: 100%;

    background-color: #000;
    color: white;
    padding: 5px;
    font-size: 14px;
    text-align: center;


    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

.informationBoxContent span{
    font-size: 18px;
}

.informationBox p{
    width: 80%;
}


.informationBoxImage img{    
    width: 80px;
    height: 80px;
    border-radius: 10px;

    object-fit: cover;
}

@media only screen and (max-width: 1320px){
    .informationBoxContent{
        right: 0px;
        top: -125px;

        font-size: 12px;

        width: 200px;
        height: 200px;
    }

    .informationBoxContent span{
        font-size: 14px;
    }

    .informationBoxImage img{
        width: 40px; height: 40px;
    }
    
}


@media only screen and (max-width: 910px){
    .informationBox{
        height: 100px;
    }

    .informationBoxContent{
        right: 0px;
        top: -25px;

        font-size: 10px;

        width: 180px;
        height: 180px;
    }

    .informationBoxContent span{
        font-size: 12px;
    }
}
